/**
 * DevExtreme (integration/jquery/hold_ready.js)
 * Version: 20.2.1 (build 20239-0312)
 * Build date: Wed Aug 26 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _jquery = _interopRequireDefault(require("jquery"));
var _themes_callback = require("../../ui/themes_callback");
var _ready_callbacks = require("../../core/utils/ready_callbacks");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
if (_jquery.default && !_themes_callback.themeReadyCallback.fired()) {
    var holdReady = _jquery.default.holdReady || _jquery.default.fn.holdReady;
    holdReady(true);
    _themes_callback.themeReadyCallback.add(function() {
        (0, _ready_callbacks.add)(function() {
            holdReady(false)
        })
    })
}
