/**
 * DevExtreme (renovation/ui/pager/utils/closest_class.js)
 * Version: 20.2.1 (build 20239-0312)
 * Build date: Wed Aug 26 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.closestClass = closestClass;
var _dom_adapter = _interopRequireDefault(require("../../../../core/dom_adapter"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}

function closestClass(child, className) {
    var el = child;
    var selector = ".".concat(className);
    while (null !== el && 1 === el.nodeType) {
        if (_dom_adapter.default.elementMatches(el, selector)) {
            return el
        }
        el = el.parentElement
    }
    return null
}
