/**
 * DevExtreme (viz/tree_map/tiling.slice_and_dice.js)
 * Version: 20.2.1 (build 20239-0312)
 * Build date: Wed Aug 26 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.default = void 0;
var _tiling = _interopRequireDefault(require("./tiling"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}

function sliceAndDice(data) {
    var items = data.items;
    var sidesData = _tiling.default.buildSidesData(data.rect, data.directions, data.isRotated ? 1 : 0);
    _tiling.default.calculateRectangles(items, 0, data.rect, sidesData, {
        sum: data.sum,
        count: items.length,
        side: sidesData.variedSide
    })
}
_tiling.default.addAlgorithm("sliceanddice", sliceAndDice);
var _default = sliceAndDice;
exports.default = _default;
module.exports = exports.default;
